EvaluateToMappingExtension
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.chromium.sdk.wip
Interface EvaluateToMappingExtension

    public interface EvaluateToMappingExtension

An extension to evaluate methods, that allows to specify `RemoteValueMapping` as an additional argument 'targetMapping'. The extension is available from `WipJavascriptVm.getEvaluateWithDestinationMappingExtension()`.

Method Summary
`RelayOk` | `evaluateAsync(JsEvaluateContext evaluateContext, java.lang.String expression, java.util.Map<java.lang.String,java.lang.String> additionalContext, RemoteValueMapping targetMapping, JsEvaluateContext.EvaluateCallback evaluateCallback, SyncCallback syncCallback)` Asynchronously evaluates an arbitrary JavaScript `expression` in the particular context.
`void` | `evaluateSync(JsEvaluateContext evaluateContext, java.lang.String expression, java.util.Map<java.lang.String,java.lang.String> additionalContext, RemoteValueMapping targetMapping, JsEvaluateContext.EvaluateCallback evaluateCallback)` Synchronously evaluates an arbitrary JavaScript `expression` in the particular context.

Method Detail

### evaluateSync

    void evaluateSync(JsEvaluateContext evaluateContext,
                      java.lang.String expression,
                      java.util.Map<java.lang.String,java.lang.String> additionalContext,
                      RemoteValueMapping targetMapping,
                      JsEvaluateContext.EvaluateCallback evaluateCallback)
                      throws MethodIsBlockingException

  Synchronously evaluates an arbitrary JavaScript `expression` in the particular context. Previously loaded `JsObject`s can be addressed from the expression if listed in additionalContext parameter. The evaluation result is reported to the specified `evaluateCallback`. The method will block until the evaluation result is available.

  Parameters:
    `expression` - to evaluate
    `additionalContext` - a name-to-object-ref-id map that adds new values to an expression scope; may be null
    `targetMapping` - mapping the result must belong to
    `evaluateCallback` - to report the evaluation result to
  Throws:
    `MethodIsBlockingException` - if called from a callback because it blocks until remote VM returns result

### evaluateAsync

    RelayOk evaluateAsync(JsEvaluateContext evaluateContext,
                          java.lang.String expression,
                          java.util.Map<java.lang.String,java.lang.String> additionalContext,
                          RemoteValueMapping targetMapping,
                          JsEvaluateContext.EvaluateCallback evaluateCallback,
                          SyncCallback syncCallback)

  Asynchronously evaluates an arbitrary JavaScript `expression` in the particular context. Previously loaded `JsObject`s can be addressed from the expression if listed in additionalContext parameter. The evaluation result is reported to the specified `evaluateCallback`. The method doesn't block.

  Parameters:
    `expression` - to evaluate
    `additionalContext` - a name-to-object-ref-id map that adds new values to an expression scope; may be null
    `targetMapping` - mapping the result must belong to
    `evaluateCallback` - to report the evaluation result to
    `syncCallback` - to report the end of any processing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD